unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, DB, DBTables, ExtCtrls, DBCtrls, StdCtrls,
  sComboBox, sAlphaListBox, sSkinProvider, sSkinManager, CheckLst, ComCtrls,
  sComboBoxes, sButton;

type
  TME_TabModif = class(TForm)
    DBGridModif: TDBGrid;
    TablesNavigator: TDBNavigator;
    sSkinManager1: TsSkinManager;
    sSkinProvider1: TsSkinProvider;
    StaffTable: TTable;
    StaffDataSource: TDataSource;
    LangTable: TTable;
    LangDataSource: TDataSource;
    RefTable: TTable;
    RefDataSource: TDataSource;
    TaughtCTable: TTable;
    TaughtCDataSource: TDataSource;
    TaughtCKSATable: TTable;
    TaughtCKSADataSource: TDataSource;
    AcStatTable: TTable;
    AcStatDataSource: TDataSource;
    AchDataSource: TDataSource;
    AchTable: TTable;
    AcResProjTable: TTable;
    AcResProjDataSource: TDataSource;
    AcAdPostDataSource: TDataSource;
    AcAdPostTable: TTable;
    AcAdComTable: TTable;
    AcAdComDataSource: TDataSource;
    RRDissTable: TTable;
    RRDissDataSource: TDataSource;
    BooksTable: TTable;
    BooksDataSource: TDataSource;
    ComboBoxTables: TsComboBoxEx;
    TrainTable: TTable;
    TrainDataSource: TDataSource;
    PapersTable: TTable;
    PapersDataSource: TDataSource;
    AcSocTable: TTable;
    AcSocDataSource: TDataSource;
    DCServTable: TTable;
    DCServDataSource: TDataSource;
    ConfSympoTable: TTable;
    ConfSympoDataSource: TDataSource;
    RevTable: TTable;
    RevDataSource: TDataSource;
    ExitButton: TsButton;
    procedure ComboBoxTablesSelect(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure ExitButtonClick(Sender: TObject);
  
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  ME_TabModif: TME_TabModif;

implementation

{$R *.dfm}




procedure TME_TabModif.ComboBoxTablesSelect(Sender: TObject);
begin
      //If ComboBoxTables.ItemIndex = 1 Then DBGridModif.DataSource := LangDataSource;
      Case ComboBoxTables.ItemIndex Of
      0 : Begin
               DBGridModif.DataSource := StaffDataSource;
               TablesNavigator.DataSource := StaffDataSource;
          End;
      1 : Begin
               DBGridModif.DataSource := RefDataSource;
               TablesNavigator.DataSource := RefDataSource;
          End;
      2 : Begin
               DBGridModif.DataSource := LangDataSource;
               TablesNavigator.DataSource := LangDataSource;
          End;
      3 : Begin
               DBGridModif.DataSource := TaughtCDataSource;
               TablesNavigator.DataSource := TaughtCDataSource;
          End;
      4 : Begin
               DBGridModif.DataSource := TaughtCKSADataSource;
               TablesNavigator.DataSource := TaughtCKSADataSource;
          End;
      5 : Begin
               DBGridModif.DataSource := AcStatDataSource;
               TablesNavigator.DataSource := AcStatDataSource;
          End;
      6 : Begin
               DBGridModif.DataSource := BooksDataSource;
               TablesNavigator.DataSource := BooksDataSource;
          End;
      7 : Begin
               DBGridModif.DataSource := PapersDataSource;
               TablesNavigator.DataSource := PapersDataSource;
          End;
      8 : Begin
               DBGridModif.DataSource := AcResProjDataSource;
               TablesNavigator.DataSource := AcResProjDataSource;
          End;
      9 : Begin
               DBGridModif.DataSource := TrainDataSource;
               TablesNavigator.DataSource := TrainDataSource;
          End;
     10 : Begin
               DBGridModif.DataSource := AcAdPostDataSource;
               TablesNavigator.DataSource := AcAdPostDataSource;
          End;
     11 : Begin
               DBGridModif.DataSource := AcAdComDataSource;
               TablesNavigator.DataSource := AcAdComDataSource;
          End;
     12 : Begin
               DBGridModif.DataSource := AcSocDataSource;
               TablesNavigator.DataSource := AcSocDataSource;
          End;
     13 : Begin
               DBGridModif.DataSource := DCServDataSource;
               TablesNavigator.DataSource := DCServDataSource;
          End;
     14 : Begin
               DBGridModif.DataSource := RRDissDataSource;
               TablesNavigator.DataSource := RRDissDataSource;
          End;
     15 : Begin
               DBGridModif.DataSource := ConfSympoDataSource;
               TablesNavigator.DataSource := ConfSympoDataSource;
          End;
     16 : Begin
               DBGridModif.DataSource := RevDataSource;
               TablesNavigator.DataSource := RevDataSource;
          End;
     17 : Begin
               DBGridModif.DataSource := AchDataSource;
               TablesNavigator.DataSource := AchDataSource;
          End;
      End;
end;

procedure TME_TabModif.FormActivate(Sender: TObject);
begin
     ComboBoxTables.ItemIndex := 0;
     DBGridModif.DataSource := StaffDataSource;
     TablesNavigator.DataSource := StaffDataSource;
end;


procedure TME_TabModif.ExitButtonClick(Sender: TObject);
begin
     ME_TabModif.Close;
end;

end.
