Unit Unit4;

Interface

Uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Unit1, Unit2, Dialogs, DBTables;

Type
   TEE_TabModif= Class(TME_TabModif)

   Procedure FormActivate(Sender: TObject);
   Procedure ExitButtonClick(Sender: TObject);
  Private

  Public

  End;

Var
  EE_TabModif: TEE_TabModif;
  DB_Alias : String = '.\ElecTables';

Implementation
{==============================================================================}
Procedure ChangeDB_Alias(Table_Name:TTable; DB_Name: String);
Begin
     Table_Name.Active := False;
     Table_Name.DatabaseName:=DB_Alias;
     Table_Name.TableName:= DB_Name;
     Table_Name.Active := True;
End;
{==============================================================================}

Procedure TEE_TabModif.FormActivate(Sender: TObject);
Begin
     ComboBoxTables.ItemIndex := 0;
     DBGridModif.DataSource := StaffDataSource;
     TablesNavigator.DataSource := StaffDataSource;

     ChangeDB_Alias(StaffTable, 'StaffData.db');
     ChangeDB_Alias(LangTable, 'Langages.db');
     ChangeDB_Alias(RefTable, 'Referees.db');
     ChangeDB_Alias(TaughtCTable, 'TaughtCourses.db');
     ChangeDB_Alias(TaughtCKSATable, 'TaughtCoursesKSA.db');
     ChangeDB_Alias(AcStatTable, 'AcStatus.db');
     ChangeDB_Alias(AchTable, 'Achiev.db');
     ChangeDB_Alias(AcResProjTable, 'AcRProj.db');
     ChangeDB_Alias(TrainTable, 'Training.db');
     ChangeDB_Alias(AcAdPostTable, 'AcAdPosts.db');
     ChangeDB_Alias(AcAdComTable, 'AcAdCommitees.db');
     ChangeDB_Alias(RRDissTable, 'RRDTW.db');
     ChangeDB_Alias(BooksTable, 'Books.db');
     ChangeDB_Alias(PapersTable, 'Papers.db');
     ChangeDB_Alias(AcSocTable, 'AcSocieties.db');
     ChangeDB_Alias(DCServTable, 'DCCServices.db');
     ChangeDB_Alias(ConfSympoTable, 'ConfSympo.db');
     ChangeDB_Alias(RevTable, 'Reviewer.db');
End;

Procedure TEE_TabModif.ExitButtonClick(Sender: TObject);
Begin
     EE_TabModif.Close;
End;

End.
