Unit Unit5;

Interface

Uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Unit2, Dialogs, DBTables, Unit6;

Type
   TEE_Staff= Class(TME_Staff)

   Procedure FormActivate(Sender: TObject);
   Procedure ExitButtonClick(Sender: TObject);
  Private

  Public

  End;

Var
  EE_Staff: TEE_Staff;
  DB_Alias : String = '.\ElecTables';

Implementation
{==============================================================================}
Procedure ChangeDB_Alias(Table_Name:TTable; DB_Name: String);
Begin
     Table_Name.Active := False;
     Table_Name.DatabaseName:=DB_Alias;
     Table_Name.TableName:= DB_Name;
     Table_Name.Active := True;
End;

{==============================================================================}
Procedure TEE_Staff.FormActivate(Sender: TObject);

Begin
      TotalCap(StaffTable, TotalStaff);
      NumCap(StaffTable, NumStaff);
      TotalCap(RefTable, TotalRef);
      NumCap(RefTable, NumRef);
      TotalCap(LangTable, TotalLang);
      NumCap(LangTable, NumLang);
      TotalCap(TaughtCTable, TotalTC);
      NumCap(TaughtCTable, NumTC);
      TotalCap(TaughtCKSATable, TotalKSATC);
      NumCap(TaughtCKSATable, NumKSATC);
      TotalCap(AchTable, AchTotal);
      NumCap(AchTable, AchNum);
      TotalCap(BooksTable, TotalBooks);
      NumCap(BooksTable, NumBooks);
      TotalCap(PapersTable, TotalPapers);
      NumCap(PapersTable, NumPapers);
      TotalCap(RevTable, TotalRev);
      NumCap(RevTable, NumRev);
      TotalCap(DCServTable, TotalDCCS);
      NumCap(DCServTable, NumDCCS);
      TotalCap(RRDissTable, TotalRRD);
      NumCap(RRDissTable, NumRRD);
      TotalCap(ConfSympoTable, TotalConf);
      NumCap(ConfSympoTable, NumConf);
      TotalCap(TrainTable, TotalTCW);
      NumCap(TrainTable, NumTCW);
      TotalCap(AcSocTable, TotalMAS);
      NumCap(AcSocTable, NumMAS);
      TotalCap(AcRProjTable, TotalARP);
      NumCap(AcRProjTable, NumARP);
      TotalCap(AcAdPostTable, TotalAAP);
      NumCap(AcAdPostTable, NumAAP);
      TotalCap(AcAdComTable, TotalAAC);
      NumCap(AcAdComTable, NumAAC);

      {First photo}
      StaffPhoto.Picture.LoadFromFile('.\Photos\'+IntToStr(StaffTable.IndexFields[0].Value)+'.bmp');

      EE_Staff.Caption:='Electrical Engineering Staff Data';

     ChangeDB_Alias(StaffTable, 'StaffData.db');
     ChangeDB_Alias(LangTable, 'Langages.db');
     ChangeDB_Alias(RefTable, 'Referees.db');
     ChangeDB_Alias(TaughtCTable, 'TaughtCourses.db');
     ChangeDB_Alias(TaughtCKSATable, 'TaughtCoursesKSA.db');
     ChangeDB_Alias(AcStatTable, 'AcStatus.db');
     ChangeDB_Alias(AchTable, 'Achiev.db');
     ChangeDB_Alias(AcRProjTable, 'AcRProj.db');
     ChangeDB_Alias(TrainTable, 'Training.db');
     ChangeDB_Alias(AcAdPostTable, 'AcAdPosts.db');
     ChangeDB_Alias(AcAdComTable, 'AcAdCommitees.db');
     ChangeDB_Alias(RRDissTable, 'RRDTW.db');
     ChangeDB_Alias(BooksTable, 'Books.db');
     ChangeDB_Alias(PapersTable, 'Papers.db');
     ChangeDB_Alias(AcSocTable, 'AcSocieties.db');
     ChangeDB_Alias(DCServTable, 'DCCServices.db');
     ChangeDB_Alias(ConfSympoTable, 'ConfSympo.db');
     ChangeDB_Alias(RevTable, 'Reviewer.db');

End;

Procedure TEE_Staff.ExitButtonClick(Sender: TObject);
Begin
     EE_Staff.Close;
End;

End.


